#
# spec file for package tbsm
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tbsm
Version:        0.7
Release:        1.5
Summary:        A pure bash session or application launcher
License:        GPL-2.0-only
BuildArch:      noarch
Group:          System/X11/Utilities
URL:            https://loh-tar.github.io/tbsm
Source:         https://github.com/loh-tar/tbsm/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  pcre-devel

%description
tbsm is an application or session launcher, written in pure bash with no ncurses or dialog dependencies. It is inspired by cdm, tdm, in some way by krunner and related.

%prep
%setup -q -n %{name}-%{version}

%build

%install
%{makeinstall}
mkdir -p %{buildroot}%{_datadir}/licenses/tbsm/
mv %{buildroot}%{_datadir}/doc/tbsm/99_License.txt %{buildroot}%{_datadir}/licenses/tbsm/99_License.txt

%files
%defattr(-, root, root)
%{_bindir}/*
%config %{_sysconfdir}/xdg/tbsm/
%doc %{_datadir}/doc/tbsm/
%license %{_datadir}/licenses/tbsm/

%changelog
* Fri Dec 30 2022 Jan-Luca Kiok <me@jlk.one>
- Change build dependency to devel package instead of versioned lib
* Sun Nov 13 2022 Jan-Luca Kiok <me@jlk.one>
- Update to version 0.7
  * Use colon as path separator in sessionPfads string
  * Make check if running in tty more fuzzy
  * Drop not needed option when using ln command
  * runSession: detect DBUS_SESSION_ADDRESS
- Manual: Add a hint how to add a shell session to the menu
- Add build-dep libpcre1
* Thu Apr  7 2022 Jan-Luca Kiok <me@jlk.one>
- Correct source URL
* Thu Apr  7 2022 Jan-Luca Kiok <me@jlk.one>
- Format spec file via osc service
* Sun Feb 27 2022 Jan-Luca Kiok <me@jlk.one>
- Update to version 0.6
  * Allow custom Xorg startup file
  * Allow configuration of session search paths by conf file
  * Give full report what config file is use
  * Exit on error in config file with nice hint
  * Makefile: Add new target 'update'
  * Add hint to run 'tbsm doc conf'
- Add new doc file ReleaseNotes
- Rename ChangeLog to ReleaseLog
* Tue Feb 22 2022 Jan-Luca Kiok <me@jlk.one>
- Relocate license
* Tue Feb 22 2022 Jan-Luca Kiok <me@jlk.one>
- Change group to X11
* Tue Feb 22 2022 Jan-Luca Kiok <me@jlk.one>
- Mark documentation directories per macro
* Tue Feb 22 2022 Jan-Luca Kiok <me@jlk.one>
- Mark whole /etc/tbsm as config
* Wed May  6 2020 JL K <jlk@fsfe.org>
- Init project
